--
-- New 10g CARDINALITY function. Unlike its name suggests, this
-- does a straight count of elements in a collection. But unlike
-- the COUNT collection method, CARDINALITY can be used in SQL...
--
DECLARE
   nt varchar2_ntt := varchar2_ntt( 'A','B','C','C' );
BEGIN
   DBMS_OUTPUT.PUT_LINE( 'Count = ' || nt.COUNT );
   DBMS_OUTPUT.PUT_LINE( 'Cardinality = ' || CARDINALITY(nt) );
END;
/
